Update role
Update role
PATCH/zones/{zoneId}/roles/{roleId}
Updates a customer-owned role's description. The identifier is immutable, and platform-owned roles cannot be modified.
Path Parameters
zoneId: string
roleId: string
Body ParametersJSON
description: optional string
Human-readable description (set to null to unset)
maxLength1000
Returns
Update role
curl https://api.keycard.ai/zones/$ZONE_ID/roles/$ROLE_ID \
-X PATCH \
-H "Authorization: Bearer $KEYCARD_API_API_KEY"{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"identifier": "identifier",
"owner_type": "platform",
"updated_at": "2019-12-27T18:11:19.117Z",
"zone_id": "zone_id",
"description": "description"
}Returns Examples
{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"identifier": "identifier",
"owner_type": "platform",
"updated_at": "2019-12-27T18:11:19.117Z",
"zone_id": "zone_id",
"description": "description"
}